using Backend.ApplicationCore.Interfaces.IServices;
using Backend.ApplicationCore.Services;
using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;

namespace Backend.API.Config
{
    internal static class DependencyInjectionService
    {
        internal static IServiceCollection AddDependencyInjectionService(this IServiceCollection services)
        {
            services.AddScoped<ITypeProprieteService, TypeProprieteService>();
            services.AddScoped<IProprieteService, ProprieteService>();
            services.AddScoped<IProduitService, ProduitService>();
            services.AddScoped<ICommandeService, CommandeService>();
            services.AddScoped<ILigneCommandeService, LigneCommandeService>();
            services.AddSingleton<IHttpContextAccessor, HttpContextAccessor>();

            return services;
        }

    }
}
